3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php echo '2.4.1' > '2.3.0'
Output for 5.4.0 - 5.4.32
Parse error: syntax error, unexpected end of file, expecting ',' or ';' in /in/3YAvt on line 2
Process exited with code 255.
Output for 4.4.2 - 4.4.9, 5.1.0 - 5.3.29
Parse error: syntax error, unexpected $end, expecting ',' or ';' in /in/3YAvt on line 2
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1, 5.0.0 - 5.0.5
Parse error: parse error, unexpected $, expecting ',' or ';' in /in/3YAvt on line 2
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `','' or `';'' in /in/3YAvt on line 2
Process exited with code 255.